Tasks

Download Task Results

Get the urls to download results of the task

GET
https://api.textreveal.com/v3/tasks/{task_id}/download

Request

Parameters

  • task_id*uuid

    Unique identifier of the task

    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

Response

Response - 200

urls to download results

  • []uri[]

    Signed download URL (valid for 5 minutes) for an exported file

    Example: "https://files.textreveal.com/exports/task=21d9cd93-0123-4200-a775-261390082d36/21d9cd93-0123-4200-a775-261390082d36.csv"
Response
[
  "https://files.textreveal.com/exports/task=21d9cd93-0123-4200-a775-261390082d36/21d9cd93-0123-4200-a775-261390082d36.csv"
]

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "The server returned an unexpected response"
  • code*integer

    Error code.

    Example: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"
  • errorsobject[]

    Possible error causes, like query params, headers or body.

Response
{
  "message": "The server returned an unexpected response",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "Expected number, received string",
      "field": "size",
      "reason": "invalid_type"
    }
  ]
}

Error - 403

Not authorized

  • message*string
    Example: "Not authorized to access this resource"
  • code*number (enum)

    Error code.

    Values: 403
  • reason*string (enum)
    Values: "forbidden"
Response
{
  "message": "Not authorized to access this resource",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string
    Example: "[record] not found."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)
    Values: "not_found"
Response
{
  "message": "[record] not found.",
  "code": 404,
  "reason": "not_found"
}

Error - 429

Too many requests

  • message*string
    Example: "You have too many exports in progress."
  • code*number (enum)
    Values: 429
  • reason*string (enum)
    Values: "too_many_requests"
Response
{
  "message": "You have too many exports in progress.",
  "code": 429,
  "reason": "too_many_requests"
}